---
uuid: 2327d6d3-1ad6-4b60-b998-2b2171e73f76
date_created: 2025-07-05T08:07:49.762Z
date_updated: 2026-03-11T09:25:34.696Z
outdated: true
end_of_support_date: 2024-01-27
routes: 
  - GET /v1/products/{product_id}/facilities
---

# Upgrade from GET /v1/products/{product\_id}/facilities to GET /v2/products/{product\_id}/facilities

## Context

Upgrade from **GET** - `/v1/products/{product_id}/facilities` to **GET** -  `/v2/products/{product_id}/facilities`

⭐  **Key benefits :** Having more information about the resort locations
⚠️ **Called backs**: QUABLE + CMS

ℹ️ in the response body=> new fileds: opening\_days with business hours, special\_annoucement, exclusive collection ,reservation\_link and information about bars & restaurants .

***

> As a MCM app DEV
> I want to add new fields
> In order to allow the participants to have more details about the resort locations

***

## Impacts

\=> Resource to call: `GET /v2/products/{product_id}/facilities`

## Body

```diff
[
{
    "id": "FAC_PCAC_CHILD_baby_club_med",
    "label": "Baby Club Med®",
    "sub_title": "",
    "type": "CHILDREN",
    "description": "Au cœur du Resort et entouré de cocotiers, voici le Baby Club Med®. Un espace cosy, adapté et coloré consacré aux enfants de moins de 2 ans. Pour s’y épanouir à leur rythme, ils disposent de 2 salles dédiées aux jeux et aux activités d’éveil. Ainsi que de 2 salles de sieste pour se ressourcer et d’une biberonnerie pour se régaler.",
    "practice_level_description": "",
    "distance_and_transfer_description": "",
    "quantity": null,
   "images": [
"https://ns.clubmed.com/dream/PRODUCT_CENTER/DESTINATIONS/SUN/Afrique___Moyen_Orient/Maroc/Marrakech_la_Palmeraie/66250-nudky8ps3x-swhr.jpg"
],
    "outdoor": null,
    "on_site": true,
    "night_lighting": false,
+   "opening_days": [
+     {
+      "day": "lundi",
+        "business_hours": [
+          {
+           "opening": "07:30",
+            "closing": "10:00",
+            "label":"Breakfast"
+          },
+         {
+           "opening": "12:00",
+            "closing": "14:30",
+            "label":"Lunch"
+          }
+        ]
+      },
+     {
+       "day": "mardi",
+       "business_hours": [
+          {
+           "opening": "07:30",
+            "closing": "10:00",
+            "label":"Breakfast"
+          }
+        ]
+      }
+    ],
+    "opening_extension_possibility": false,
+    "restriction_information": [
+      {
+        "id": "1",
+        "description": "1"
+      }
+    ],
+    "seminar_and_event": {
+      "description": "A spacious area for your meetings and events"
+    },
+    "sub_type": {
+      "id": "pool_bar",
+      "label": "pool bar"
+    },
+    "meals_speciality": [
+      {
+        "id": "1",
+        "label": "Gourmet"
+      }
+    ],
+    "seating_capacity": {
+      "inside": 100,
+      "outside": 100
+    },
    "equipments": [],
    "technical_specificities": {
      "types_description": [],
      "length": null,
      "width": null,
      "height": null,
      "min_depth": null,
      "max_depth": null,
      "unit": "m",
      "heated": false
    },
    "specific_information": [],
+  "special_announcement":"fermé le dimanche 30 juillet pour travaux",
+  "exclusive_collection":true,
+  "reservation_link":"https://reservation.link.example.clubmed/fr",
    "activity_categories": [
      {
        "id": "ACT_PCAC_baby_club_med_0_2"
      }
    ],
    "free_access": false,
    "localisation": "",
    "ranking": "",
    "area_id": "area_PCAC_4T",
    "gps_coordinates": {
      "longitude": "-68.352060915",
      "latitude": "18.544246975"
    }
  }
]  
  
```
